summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Armak <danarmak@gentoo.org>2001-09-28 19:25:33 +0000
committerDan Armak <danarmak@gentoo.org>2001-09-28 19:25:33 +0000
commit05c6b4a52af7ddd03831d653b64f390091c01600 (patch)
treef13d585eb5717bfd5af72980e258e194d9a82a62 /eclass/kde-base.eclass
parentJust updated my email. (diff)
downloadgentoo-2-05c6b4a52af7ddd03831d653b64f390091c01600.tar.gz
gentoo-2-05c6b4a52af7ddd03831d653b64f390091c01600.tar.bz2
gentoo-2-05c6b4a52af7ddd03831d653b64f390091c01600.zip
Initial version of eclasses. :-)
If you're gong to play wih it: 1) wait for tomorrow, by then i'll have much more commited, including a README. 2) don't commit changes unless you know what you're doing 3) don't criticise unless you know what you're thinking
Diffstat (limited to 'eclass/kde-base.eclass')
-rw-r--r--eclass/kde-base.eclass67
1 files changed, 67 insertions, 0 deletions
diff --git a/eclass/kde-base.eclass b/eclass/kde-base.eclass
new file mode 100644
index 000000000000..618c5cea0a41
--- /dev/null
+++ b/eclass/kde-base.eclass
@@ -0,0 +1,67 @@
+# Copyright 1999-2000 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License, v2 or later
+# Author Dan Armak <danarmak@gentoo.org>
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde-base.eclass,v 1.1 2001/09/28 19:25:33 danarmak Exp $
+# This is the kde ebuild for >=2.2.1 kde base packages. Don't use for kdelibs though :-)
+. /usr/portage/inherit.eclass || die
+inherit base c autoconf || die
+ECLASS=kde
+
+DESCRIPTION="Based on the $ECLASS eclass"
+HOMEPAGE="http://www.kde.org/"
+
+DEPEND="${DEPEND} ( kde-base/kdelibs-${PV} ) dev-util/objprelink >=x11-libs/qt-x11-2.3.0"
+#RDEPEND="${RDEPEND} kde-base/kdelibs-${PV} >=x11-libs/qt-x11-2.3.0"
+
+kde_src_compile() {
+
+ while [ "$1" ]; do
+
+ case $1 in
+ myconf)
+ use qtmt && myconf="$myconf --enable-mt"
+ use mitshm && myconf="$myconf --enable-mitshm"
+ use objprelink && myconf="$myconf --enable-objprelink"
+ ;;
+ configure)
+ ./configure --host=${CHOST} --with-x \
+ ${myconf} --with-xinerama || die
+ ;;
+ make)
+ make || die
+ ;;
+ all)
+ kde_src_compile myconf configure make
+ ;;
+ esac
+
+ shift
+ done
+
+}
+
+kde_src_install() {
+
+ while [ "$1" ]; do
+
+ case $1 in
+ make)
+ make install DESTDIR=${D} || die
+ ;;
+ dodoc)
+ dodoc AUTHORS ChangeLog README*
+ ;;
+ all)
+ kde_src_install make dodoc
+ ;;
+ esac
+
+ shift
+ done
+
+}
+
+
+EXPORT_FUNCTIONS
+
+